org.apache.tinkerpop.gremlin.server.handler

## Class StateKey

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.handler.StateKey

-     public final class StateKey
      extends Object

  Keys used in the various handlers to store state in the pipeline.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.netty.util.AttributeKey<AuthenticatedUser>` | `AUTHENTICATED_USER` The key for the current `AuthenticatedUser`.
    `static io.netty.util.AttributeKey<Authenticator.SaslNegotiator>` | `NEGOTIATOR` The key for the current SASL negotiator.
    `static io.netty.util.AttributeKey<RequestMessage>` | `REQUEST_MESSAGE` The key for the current request.
    `static io.netty.util.AttributeKey<MessageSerializer<?>>` | `SERIALIZER` The key for the current serializer requested by the client.
    `static io.netty.util.AttributeKey<Session>` | `SESSION` The key for the current `Session` object.
    `static io.netty.util.AttributeKey<Boolean>` | `USE_BINARY` The key to indicate if the serializer should use its binary format.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERIALIZER

          public static final io.netty.util.AttributeKey<MessageSerializer<?>> SERIALIZER

      The key for the current serializer requested by the client.

    - #### USE_BINARY

          public static final io.netty.util.AttributeKey<Boolean> USE_BINARY

      The key to indicate if the serializer should use its binary format.

    - #### SESSION

          public static final io.netty.util.AttributeKey<Session> SESSION

      The key for the current `Session` object.

    - #### NEGOTIATOR

          public static final io.netty.util.AttributeKey<Authenticator.SaslNegotiator> NEGOTIATOR

      The key for the current SASL negotiator.

    - #### REQUEST_MESSAGE

          public static final io.netty.util.AttributeKey<RequestMessage> REQUEST_MESSAGE

      The key for the current request.

    - #### AUTHENTICATED_USER

          public static final io.netty.util.AttributeKey<AuthenticatedUser> AUTHENTICATED_USER

      The key for the current `AuthenticatedUser`.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.